<html>
  <head>  
    <title>Data Upload</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <style type="text/css">
      a:focus {
        outline: none !important;
        outline-offset: none !important;
      }
      body {
        background: #ffffff;
        color: #333;
      }
      .margin-top-20 {
        margin-top: 20px;
      }
      .margin-bottom-20 {
        margin-top: 20px;
      }
      .no-margin {
        margin: 0px;
      }
      .box {
        border-color: #e6e6e6;
        background: #FFF;
        border-radius: 6px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.25);
        padding: 10px;
        margin-bottom: 40px;
      }
      .box-center {
        margin: 20px auto;
      }
      input[type=file] {
        display: block !important;
        right: 1px;
        top: 1px;
        height: 34px;
        opacity: 0;
        width: 100%;
        background: none;
        position: absolute;
        overflow: hidden;
        z-index: 2;
      }
      .control-fileupload {
        display: block;
        border: 1px solid #d6d7d6;
        background: #FFF;
        border-radius: 4px;
        width: 100%;
        height: 36px;
        line-height: 36px;
        padding: 0px 10px 2px 10px;
        overflow: hidden;
        position: relative; 
        &:before, input, label {
          cursor: pointer !important;
        }
        &:before {
          padding: 4px 12px;
          margin-bottom: 0;
          font-size: 14px;
          line-height: 20px;
          color: #333333;
          text-align: center;
          text-shadow: 0 1px 1px rgba(255, 255, 255, 0.75);
          vertical-align: middle;
          cursor: pointer;
          background-color: #f5f5f5;
          background-image: linear-gradient(to bottom, #ffffff, #e6e6e6);
          background-repeat: repeat-x;
          border: 1px solid #cccccc;
          border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
          border-bottom-color: #b3b3b3;
          border-radius: 4px;
          box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
          transition: color 0.2s ease;
          content: 'Browse';
          display: block;
          position: absolute;
          z-index: 1;
          top: 2px;
          right: 2px;
          line-height: 20px;
          text-align: center;
        }
        &:hover, &:focus {
          &:before {
            color: #333333;
            background-color: #e6e6e6;
            color: #333333;
            text-decoration: none;
            background-position: 0 -15px;
            transition: background-position 0.2s ease-out;
          }
        }
        label {
          line-height: 24px;
          color: #999999;
          font-size: 14px;
          font-weight: normal;
          overflow: hidden;
          white-space: nowrap;
          text-overflow: ellipsis;
          position: relative;
          z-index: 1;
          margin-right: 90px;
          margin-bottom: 0px;
          cursor: text;
        }
      }
    </style>

    <script type="text/javascript">
      $(function() {
        $('input[type=file]').change(function(){
          var t = $(this)[0].files.length;
          if (t == 1){
            var labelText = 'File selected : ' +  $(this)[0].files[0].name;
          }
          else{
          var labelText = 'Number of files selected : ' +  t;
          }
          $(this).prev('label').text(labelText);
        })
      });
    </script>
  </head>
  <body>

  <div style="margin: 10px"><a href="/"><img src="static/logo2.png" style="height: 50px; width: 235px;"></a><hr style="margin: 5px;"></div>


    <article id="main-content" role="main">  
      <section class="container">
        <div class="row">
          <div class="box">
            <div class="row">
                <div class="alert alert-success" role="alert" style="margin-right: 5px;margin-left: 5px">
                  Dataset Key: <b style="color: red">{{dataset_id}}</b>
                </div><br>
              <form action = "/uploader" method = "POST" enctype = "multipart/form-data">
                <input type="hidden" name="dataset_id" value="{{dataset_id}}">
              <div class="col-sm-10">
                <span class="control-fileupload">
                  <label for="file1" class="text-left"><a>Click here</a> to select files from your computer.</label>
                  <input type="file" id="file1" name="file" multiple>
                </span>
              </div>
              <div class="col-sm-2">  
                <button type="submit" class="btn btn-primary btn-block">
                  <i class="icon-upload icon-white"></i> Upload
                </button>
              </div>
              </form>
            </div>
          </div>
        </div>
      </section>
    </article>
  </body>
</html>

